Suscribirse a un proyecto RWA
curl --request POST \
--url https://api.qbank.cl/platform/v1/rwa/subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_code": "RWA-MIN01",
"usdt_amount": "1000.000000",
"idempotency_key": "sub-min01-0001"
}
'import requests
url = "https://api.qbank.cl/platform/v1/rwa/subscriptions"
payload = {
"project_code": "RWA-MIN01",
"usdt_amount": "1000.000000",
"idempotency_key": "sub-min01-0001"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project_code: 'RWA-MIN01',
usdt_amount: '1000.000000',
idempotency_key: 'sub-min01-0001'
})
};
fetch('https://api.qbank.cl/platform/v1/rwa/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qbank.cl/platform/v1/rwa/subscriptions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'project_code' => 'RWA-MIN01',
'usdt_amount' => '1000.000000',
'idempotency_key' => 'sub-min01-0001'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.qbank.cl/platform/v1/rwa/subscriptions"
payload := strings.NewReader("{\n \"project_code\": \"RWA-MIN01\",\n \"usdt_amount\": \"1000.000000\",\n \"idempotency_key\": \"sub-min01-0001\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.qbank.cl/platform/v1/rwa/subscriptions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"project_code\": \"RWA-MIN01\",\n \"usdt_amount\": \"1000.000000\",\n \"idempotency_key\": \"sub-min01-0001\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.qbank.cl/platform/v1/rwa/subscriptions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"project_code\": \"RWA-MIN01\",\n \"usdt_amount\": \"1000.000000\",\n \"idempotency_key\": \"sub-min01-0001\"\n}"
response = http.request(request)
puts response.read_body{
"subscription_id": "22222222-2222-4222-8222-222222222222",
"account_id": "33333333-3333-4333-8333-333333333333",
"project_id": "11111111-1111-4111-8111-111111111111",
"project_code": "RWA-MIN01",
"usdt_gross": "1000.000000",
"fee_usdt": "10.000000",
"usdt_net": "990.000000",
"tokens_credited": "990.000000",
"price_usdt": "1.000000",
"status": "completed",
"created_at": "2026-11-15T13:00:00Z",
"receipt_url": "/v1/rwa/subscriptions/22222222-2222-4222-8222-222222222222/receipt"
}{
"error": "not_found",
"message": "resource not found"
}Suscribirse a un proyecto RWA
Compra tokens de regalía con USDT al precio de suscripción del proyecto. Debita USDT (neto + comisión) y acredita tokens RWA-* de forma atómica. Exige identidad verificada, OTP en sesiones humanas y clave de idempotencia; los replays devuelven la suscripción original.
POST
/
v1
/
rwa
/
subscriptions
Suscribirse a un proyecto RWA
curl --request POST \
--url https://api.qbank.cl/platform/v1/rwa/subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_code": "RWA-MIN01",
"usdt_amount": "1000.000000",
"idempotency_key": "sub-min01-0001"
}
'import requests
url = "https://api.qbank.cl/platform/v1/rwa/subscriptions"
payload = {
"project_code": "RWA-MIN01",
"usdt_amount": "1000.000000",
"idempotency_key": "sub-min01-0001"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project_code: 'RWA-MIN01',
usdt_amount: '1000.000000',
idempotency_key: 'sub-min01-0001'
})
};
fetch('https://api.qbank.cl/platform/v1/rwa/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qbank.cl/platform/v1/rwa/subscriptions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'project_code' => 'RWA-MIN01',
'usdt_amount' => '1000.000000',
'idempotency_key' => 'sub-min01-0001'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.qbank.cl/platform/v1/rwa/subscriptions"
payload := strings.NewReader("{\n \"project_code\": \"RWA-MIN01\",\n \"usdt_amount\": \"1000.000000\",\n \"idempotency_key\": \"sub-min01-0001\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.qbank.cl/platform/v1/rwa/subscriptions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"project_code\": \"RWA-MIN01\",\n \"usdt_amount\": \"1000.000000\",\n \"idempotency_key\": \"sub-min01-0001\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.qbank.cl/platform/v1/rwa/subscriptions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"project_code\": \"RWA-MIN01\",\n \"usdt_amount\": \"1000.000000\",\n \"idempotency_key\": \"sub-min01-0001\"\n}"
response = http.request(request)
puts response.read_body{
"subscription_id": "22222222-2222-4222-8222-222222222222",
"account_id": "33333333-3333-4333-8333-333333333333",
"project_id": "11111111-1111-4111-8111-111111111111",
"project_code": "RWA-MIN01",
"usdt_gross": "1000.000000",
"fee_usdt": "10.000000",
"usdt_net": "990.000000",
"tokens_credited": "990.000000",
"price_usdt": "1.000000",
"status": "completed",
"created_at": "2026-11-15T13:00:00Z",
"receipt_url": "/v1/rwa/subscriptions/22222222-2222-4222-8222-222222222222/receipt"
}{
"error": "not_found",
"message": "resource not found"
}Autorizaciones
Cuerpo
application/json
Respuesta
Replay idempotente de una suscripción existente.